// Stand for Bob Parker's "Blue" ESR Meter

module base() {
    base_width = 100;
    base_depth = 100;
    back_cut_w = 60;
    back_cut_h = 50;
    difference() {
        union() {
            translate([-(base_width / 2), 0, 0]) cube([base_width, base_depth, 10]);
            translate([-(base_width / 2), base_width - 67.4, 86.6]) rotate([-60, 0, 0]) cube([base_width, base_width , 20]);
        }
        translate([-55, 0, 80]) rotate([-60,0,0]) cube([base_width + 10, 40, base_width]);
        translate([0, 50, 40]) rotate([-60,0,0]){
            hull() {
                for (i=[-1,1], j=[-1,1])
                    translate([i*back_cut_h/2, j*back_cut_h/2,0])
                        cylinder(r=5, h=20, $fn=100);
            }

        } 
        translate([0,25,0]){
            hull() {
            for (i=[-1,1], j=[-1,1])
                translate([i*back_cut_w/2, j*back_cut_w/2, -1])
                    cylinder(r=5, h=20, $fn=100);
            }
        }
    }    
}

difference() {
    base();
    hull() {translate([54,8,60])rotate([-60, 0, 0]) import("blue.stl", convexity=3);}
}
